﻿@model Xtoman.Domain.WebServices.Payment.PayIR.PayCashoutTransactions
@{
    ViewBag.Title = "Transactions";
}

<div class="row">
    <div class="col-lg-12">
        <div class="card card-box">
            <div class="card-header">
                <div class="row">
                    <div class="col-12">
                        <ul class="list-unstyled list-inline">
                            <li class="list-inline-item pull-right">
                                @if (Model.PrevPageUrl != null)
                                {
                                    <a class="btn btn-sm btn-primary" href="@Url.Action("Transactions", new { page = (Model.CurrentPage - 1), psize = Model.PerPage })"><i class="fa fa-angle-right"></i> صفحه قبل</a>
                                }
                                @if (Model.NextPageUrl != null)
                                {
                                    <a class="btn btn-sm btn-primary" href="@Url.Action("Transactions", new { page = (Model.CurrentPage + 1), psize = Model.PerPage })">صفحه بعد <i class="fa fa-angle-left"></i></a>
                                }
                            </li>
                            <li class="list-inline-item pull-right">صفحه @Model.CurrentPage</li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="table table-responsive">
                    <table class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>ردیف</th>
                                <td>مبلغ تراکنش (تومان)</td>
                                <td>مبلغ با احتساب کارمزد</td>
                                <td>موجودی پس از تراکنش</td>
                                <td>زمان انجام تراکنش</td>
                                <td>IP</td>
                                <td>نوع تراکنش</td>
                                <td>
                                    عملیات
                                </td>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.Data)
                            {
                                <tr>
                                    <td>@item.TransactionId</td>
                                    <td>
                                        @((item.Amount / 10).ToPriceWithoutFloat())
                                    </td>
                                    <td>
                                        @((item.Amount / 10).ToPriceWithoutFloat())
                                    </td>
                                    <td>@((item.Balance / 10).ToPriceWithoutFloat())</td>
                                    <td>@item.Created.ToFaDateTimeZone()</td>
                                    <td>@(item.Transaction?.Ip)</td>
                                    <td>
                                        @switch (item.TransactionType)
                                        {
                                            case 1:
                                                <span>1</span>
                                                break;
                                            case 2:
                                                <span>انتقال وجه</span>
                                                break;
                                            case 3:
                                                <span>تسویه</span>
                                                break;
                                            case 4:
                                                <span>درگاه پرداخت</span>
                                                break;
                                            case 7:
                                                <span>بازگشت وجه</span>
                                                break;
                                            default:
                                                <span>نامشخص - @item.TransactionType</span>
                                                break;
                                        }
                                    </td>
                                    <td>
                                        <button type="button" class="btn" data-toggle="collapse" data-target="#collapse-@item.TransactionId">
                                            <i class="fa fa-search-plus"></i>
                                        </button>
                                    </td>
                                </tr>
                                <tr class="collapse out" id="collapse-@item.TransactionId">
                                    <td colspan="8">
                                        <div class="row">
                                            <div class="col-12">
                                                <h5>جزئیات</h5>
                                                <div class="table">
                                                    <table class="table-responsive">
                                                        @switch (item.TransactionType)
                                                        {
                                                            case 4:
                                                                if (item.From != null)
                                                                {
                                                                    if (item.From.CardNumber.HasValue())
                                                                    {
                                                                        <tr>
                                                                            <th>شماره کارت</th>
                                                                            <td>@item.From.CardNumber</td>
                                                                        </tr>
                                                                    }
                                                                }
                                                                if (item.Details != null)
                                                                {
                                                                    if (item.Details.FactorNumber.HasValue())
                                                                    {
                                                                        <tr>
                                                                            <th>شماره فاکتور</th>
                                                                            <td>@item.Details.FactorNumber</td>
                                                                        </tr>
                                                                    }
                                                                    if (item.Details.Mobile.HasValue())
                                                                    {
                                                                        <tr>
                                                                            <th>موبایل</th>
                                                                            <td>@item.Details.Mobile</td>
                                                                        </tr>
                                                                    }
                                                                }
                                                                break;
                                                            case 3:
                                                                if (item.To != null)
                                                                {
                                                                    if (item.To.Name.HasValue())
                                                                    {
                                                                        <tr>
                                                                            <th>نام</th>
                                                                            <td>@item.To.Name</td>
                                                                        </tr>
                                                                    }
                                                                    if (item.To.BankName.HasValue())
                                                                    {
                                                                        <tr>
                                                                            <th>نام بانک</th>
                                                                            <td>@item.To.BankName</td>
                                                                        </tr>
                                                                    }
                                                                }
                                                                break;
                                                        }
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="card-footer">
                <div class="row">
                    <div class="col-12">
                        <ul class="list-unstyled list-inline">
                            <li class="list-inline-item pull-right">
                                @if (Model.PrevPageUrl != null)
                                {
                                    <a class="btn btn-sm btn-primary" href="@Url.Action("Transactions", new { page = (Model.CurrentPage - 1), psize = Model.PerPage })"><i class="fa fa-angle-right"></i> صفحه قبل</a>
                                }
                                @if (Model.NextPageUrl != null)
                                {
                                    <a class="btn btn-sm btn-primary" href="@Url.Action("Transactions", new { page = (Model.CurrentPage + 1), psize = Model.PerPage })">صفحه بعد <i class="fa fa-angle-left"></i></a>
                                }
                            </li>
                            <li class="list-inline-item pull-right">صفحه @Model.CurrentPage</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>